Subject: [nfsv4] LOCKT and expired/stale clientid

From: Frank S Filz <[email-masked]>
Date: Mon, 5 Nov 2012 13:57:42 -0800

Tom,

I'm working on the Ganesha user space NFS server and we are trying to be
more correct with expired/stale errors.

In looking at the RFC (3530 bis-17), I see LOCKT does not define
NFS4ERR_EXPIRED as a possible return code, leaving only
NFS4ERR_STALE_CLIENTID, yet, it does include a clientid with the lock/open
owner.

I also see that the RFC doesn't indicate LOCKT as a lease renewing
operation. Is that actually expected? Since it does reference a clientid,
easy enough to renew lease.

Frank